#!/bin/sh
ARGS=""

if [ $# -gt 1 ]; then
	while [ $# -ge 1 ]; do
		case "$1" in
			-[a-z]*) ARGS="$ARGS $1" ;;
			*) ARGS="$ARGS \"$1\"" ;;
		esac
		shift
	done
fi

PROPERTIES_FILE=""

if [ -e ../../bin/magicdraw.properties ]; then
      PROPERTIES_FILE=../../bin/magicdraw.properties
fi

if [ -f ../../bin/cameoea.properties ]; then
      PROPERTIES_FILE=../../bin/cameoea.properties
fi

if [ -f ../../bin/cbm.properties  ]; then
      PROPERTIES_FILE=../../bin/cbm.properties
fi

if [ -f ../../bin/csm.properties ]; then
      PROPERTIES_FILE=../../bin/csm.properties
fi

if [ -f ../../bin/msosa.properties ]; then
      PROPERTIES_FILE=../../bin/msosa.properties
fi

if [ -f ../../bin/msa.properties ]; then
      PROPERTIES_FILE=../../bin/msa.properties
fi

if [ -f ../../bin/mcse.properties ]; then
      PROPERTIES_FILE=../../bin/mcse.properties
fi


#
# VM options.
#
VM_OPTIONS="-Xmx4000M -Xss1024K"


#
# Resolves internal libraries for launching modeling tool.
#
OSGI_LAUNCHER=`ls ../../lib/com.nomagic.osgi.launcher-*.jar | head -n 1`
ECLIPSE_OSGI=`ls ../../lib/bundles/org.eclipse.osgi_*.jar | head -n 1`
MD_OSGI=`ls ../../lib/bundles/com.nomagic.magicdraw.osgi.fragment_*.jar | head -n 1`

#
# Class path used to launch modeling tool.
#
CLASS_PATH="$OSGI_LAUNCHER\:$ECLIPSE_OSGI\:$MD_OSGI\:../../lib/md_api.jar\:../../lib/md_common_api.jar\:../../lib/md.jar\:../../lib/md_common.jar\:../../lib/jna.jar -Dmd.class.path=file:$PROPERTIES_FILE?base=../..#CLASSPATH -Dcom.nomagic.osgi.config.dir=../../configuration -Desi.system.config=../../data/application.conf -Dlogback.configurationFile=../../data/logback.xml -Dcom.nomagic.magicdraw.launcher=com.nomagic.magicdraw.commandline.CommandLineActionLauncher -Dcom.nomagic.magicdraw.commandline.action=com.nomagic.collaborator.publisher.commandline.CollaboratorCommandLineAction com.nomagic.osgi.launcher.ProductionFrameworkLauncher"

#
# Java command to launch modeling tool.
#
EXEC_COMMAND="exec java $VM_OPTIONS -cp $CLASS_PATH -verbose $ARGS"

eval $EXEC_COMMAND
